
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ruby连接使用windows下sql server数据库代码实例 / iVAN</title>

    <meta name="description" content="Ruby连接使用windows下sql server数据库代码实例   这篇文章主要介绍了Ruby连接使用windows下sql server数据库代码实例,本文直接给出实现代码,而且给出了两种实现和access数据库的实现代码,需要的朋友可以参考下 ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 req">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Ruby连接使用windows下sql server数据库代码实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　这篇文章主要介绍了Ruby连接使用windows下sql  server数据库代码实例,本文直接给出实现代码,而且给出了两种实现和access数据库的实现代码,需要的朋友可以参考下</p>
<p>　　?</p>
<table>
<tbody>
<tr>
<td>
            1<br />
            2<br />
            3<br />
            4<br />
            5<br />
            6<br />
            7<br />
            8<br />
            9<br />
            10<br />
            11<br />
            12<br />
            13<br />
            14<br />
            15<br />
            16<br />
            17<br />
            18<br />
            19<br />
            20<br />
            21<br />
            22<br />
            23<br />
            24<br />
            25<br />
            26<br />
            27<br />
            28<br />
            29<br />
            30<br />
            31<br />
            32<br />
            33<br />
            34<br />
            35<br />
            36<br />
            37<br />
            38<br />
            39<br />
            40<br />
            41<br />
            42<br />
            43<br />
            44<br />
            45<br />
            46<br />
            47<br />
            48<br />
            49<br />
            50<br />
            51<br />
            52<br />
            53<br />
            54
            </td>
<td>
<p>require 'win32ole'<br />
             <br />
            class SqlServer<br />
            # This class manages database  connection and queries<br />
            attr_accessor :connection, :data, :fields<br />
             <br />
            def initialize<br />
            @connection = nil<br />
            @data = nil<br />
            end<br />
             <br />
            def open<br />
            # Open ADO connection to the SQL Server  database<br />
            connection_string = "Provider=SQLOLEDB.1;"<br />
            connection_string &lt;&lt; "Persist Security Info=False;"<br />
            connection_string &lt;&lt; "User ID=USER_ID;"<br />
            connection_string &lt;&lt; "password=PASSWORD;"<br />
            connection_string &lt;&lt; "Initial Catalog=DATABASE;"<br />
            connection_string &lt;&lt; "Data Source=IP_ADDRESS;"<br />
            connection_string &lt;&lt; "Network Library=dbmssocn"<br />
            @connection = WIN32OLE.new('ADODB.Connection')<br />
            @connection.Open(connection_string)<br />
            end<br />
             <br />
            def query(sql)<br />
            # Create an instance of an ADO  Recordset<br />
            recordset = WIN32OLE.new('ADODB.Recordset')<br />
            # Open the recordset, using an SQL  statement and the<br />
            # existing ADO connection<br />
            recordset.Open(sql, @connection)<br />
            # Create and populate an array of field  names<br />
            @fields = []<br />
            recordset.Fields.each do |field|<br />
            @fields &lt;&lt; field.Name<br />
            end<br />
            begin<br />
            # Move to the first record/row, if any  exist<br />
            recordset.MoveFirst<br />
            # Grab all records<br />
            @data = recordset.GetRows<br />
            rescue<br />
            @data = []<br />
            end<br />
            recordset.Close<br />
            # An ADO Recordset's GetRows method  returns an array<br />
            # of columns, so we'll use the  transpose method to<br />
            # convert it to an array of rows<br />
            @data = @data.transpose<br />
            end<br />
             <br />
            def close<br />
            @connection.Close<br />
            end<br />
            end</p>
</td>
</tr>
</tbody>
</table>
<p>　　测试代码如下：</p>
<p>　　?</p>
<table>
<tbody>
<tr>
<td>
            1<br />
            2<br />
            3<br />
            4<br />
            5<br />
            6
            </td>
<td>
<p>db = SqlServer.new<br />
            db.open<br />
            db.query("SELECT PLAYER FROM PLAYERS WHERE TEAM = 'REDS';")<br />
            field_names = db.fields<br />
            players = db.data<br />
            db.close</p>
</td>
</tr>
</tbody>
</table>
<p>　　?</p>
<table>
<tbody>
<tr>
<td>
            1<br />
            2<br />
            3<br />
            4<br />
            5<br />
            6<br />
            7<br />
            8
            </td>
<td>
<p>db = SqlServer.new('localhost', 'sa', 'SOMEPASSWORD')<br />
            db.open('Northwind')<br />
            db.query("SELECT * from Customers;")<br />
            puts field_names = db.fields<br />
            cust = db.data<br />
            puts cust.size<br />
            puts cust[0].inspect<br />
            db.close</p>
</td>
</tr>
</tbody>
</table>
<p>　　抄到的别人版本的：</p>
<p>　　?</p>
<table>
<tbody>
<tr>
<td>
            1<br />
            2<br />
            3<br />
            4<br />
            5<br />
            6<br />
            7<br />
            8<br />
            9<br />
            10<br />
            11<br />
            12<br />
            13<br />
            14<br />
            15<br />
            16<br />
            17<br />
            18<br />
            19<br />
            20<br />
            21<br />
            22<br />
            23<br />
            24<br />
            25<br />
            26<br />
            27<br />
            28<br />
            29<br />
            30<br />
            31<br />
            32<br />
            33<br />
            34<br />
            35<br />
            36<br />
            37<br />
            38<br />
            39<br />
            40<br />
            41<br />
            42<br />
            43<br />
            44<br />
            45<br />
            46<br />
            47<br />
            48<br />
            49<br />
            50<br />
            51<br />
            52<br />
            53<br />
            54<br />
            55<br />
            56<br />
            57<br />
            58<br />
            59<br />
            60<br />
            61<br />
            62<br />
            63<br />
            64<br />
            65<br />
            66<br />
            67<br />
            68<br />
            69<br />
            70<br />
            71<br />
            72<br />
            73<br />
            74<br />
            75<br />
            76<br />
            77<br />
            78<br />
            79<br />
            80<br />
            81<br />
            82<br />
            83<br />
            84<br />
            85<br />
            86<br />
            87<br />
            88<br />
            89<br />
            90<br />
            91<br />
            92<br />
            93<br />
            94<br />
            95<br />
            96<br />
            97<br />
            98<br />
            99<br />
            100<br />
            101<br />
            102<br />
            103<br />
            104<br />
            105<br />
            106<br />
            107<br />
            108<br />
            109<br />
            110<br />
            111<br />
            112<br />
            113<br />
            114<br />
            115<br />
            116<br />
            117<br />
            118<br />
            119<br />
            120<br />
            121<br />
            122<br />
            123<br />
            124<br />
            125<br />
            126<br />
            127<br />
            128<br />
            129<br />
            130<br />
            131<br />
            132<br />
            133
            </td>
<td>
<p>MSSQL<br />
            require "dbi"<br />
            require "win32ole"<br />
            WIN32OLE.codepage =  WIN32OLE::CP_UTF8<br />
            require 'iconv'<br />
            Re_cn=/[x7f-xff]/<br />
             <br />
            class MssqlDb<br />
            attr_accessor :mdb, :connection, :data, :fields<br />
             <br />
            def initialize(host,mdb,user,pass)<br />
            @host= host<br />
            @mdb=@database= mdb<br />
            @username= user<br />
            @password= pass<br />
            @connection = nil<br />
            @data = nil<br />
            @fields = nil<br />
            end<br />
             <br />
            def open<br />
            connection_string = "Provider=SQLOLEDB.1;User  ID=@username;password=@password;Data Source=@host,1433;Initial  Catalog=@mdb"<br />
            @connection = WIN32OLE.new('ADODB.Connection')<br />
            @connection.Open(connection_string)<br />
            @password=''<br />
            end<br />
             <br />
            def query(sql)<br />
            recordset = WIN32OLE.new('ADODB.Recordset')<br />
            recordset.Open(sql, @connection)<br />
            @fields = []<br />
            recordset.Fields.each do |field|<br />
            @fields &lt;&lt; field.Name<br />
            end<br />
            begin<br />
            @data = recordset.GetRows.transpose<br />
            rescue<br />
            @data = []<br />
            end<br />
            recordset.Close<br />
            end<br />
             <br />
            def queryGB(sql)<br />
            if sql=~ Re_cn<br />
            sql = utf8_to_gb(sql)<br />
            end<br />
            recordset = WIN32OLE.new('ADODB.Recordset')<br />
            recordset.Open(sql, @connection)<br />
            @fields = []<br />
            recordset.Fields.each do |field|<br />
            @fields &lt;&lt; field.Name<br />
            end<br />
            begin<br />
            @data = recordset.GetRows.transpose<br />
            rescue<br />
            @data = []<br />
            end<br />
            recordset.Close<br />
            end<br />
             <br />
            def execute(sql)<br />
            @connection.Execute(sql)<br />
            end<br />
             <br />
            def executeGB(sql)<br />
            if sql=~ Re_cn<br />
            sql = utf8_to_gb(sql)<br />
            end<br />
            @connection.Execute(sql)<br />
            end<br />
             <br />
            def close<br />
            @connection.Close<br />
            end<br />
             <br />
            def utf8_to_gb(s)<br />
            p 'conv  to gb18030'<br />
            Iconv.conv("GB18030//IGNORE","UTF-8//IGNORE",s)<br />
            end<br />
            def gb_to_utf8(s)<br />
            p 'conv  to utf8'<br />
            Iconv.conv("UTF-8//IGNORE","GB18030//IGNORE",s)<br />
            end<br />
            end<br />
             <br />
             <br />
             <br />
             <br />
             <br />
             <br />
            ACCESS<br />
            require "win32ole"<br />
            class AccessDb<br />
            attr_accessor :mdb, :connection, :data, :fields<br />
             <br />
            def initialize(mdb=nil)<br />
            @mdb = mdb<br />
            @connection = nil<br />
            @data = nil<br />
            @fields = nil<br />
            end<br />
             <br />
            def open<br />
            connection_string = 'Provider=Microsoft.Jet.OLEDB.4.0;Data  Source='<br />
            connection_string &lt;&lt; @mdb<br />
            @connection = WIN32OLE.new('ADODB.Connection')<br />
            @connection.Open(connection_string)<br />
            p 'access  open ok.'<br />
            end<br />
             <br />
            def query(sql)<br />
            recordset = WIN32OLE.new('ADODB.Recordset')<br />
            recordset.Open(sql, @connection)<br />
            @fields = []<br />
            recordset.Fields.each do |field|<br />
            @fields &lt;&lt; field.Name<br />
            end<br />
            begin<br />
            @data = recordset.GetRows.transpose<br />
            rescue<br />
            @data = []<br />
            end<br />
            recordset.Close<br />
            end<br />
             <br />
            def execute(sql)<br />
            @connection.Execute(sql)<br />
            end<br />
             <br />
            def close<br />
            @connection.Close<br />
            end<br />
            end</p>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 11:38:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/connection/" title="connection">connection</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Ruby连接使用windows下sql server数据库代码实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePe4Ap.html" rel="bookmark">Ruby连接使用windows下sql server数据库代码实例&lowbar;ruby专题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				require 'win32ole' class SqlServer # This class manages database connection and queries attr_accessor :connection, :data, :fields def initialize @connection = nil @data = nil end def open # Open ADO connection to the SQL Server database connection_st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW0Gwp.html" rel="bookmark">Powershell访问SQL Server数据库代码实例&lowbar;PowerShell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				支持所有版本的SQLserver. 你是否需要连接数据库?这里有一段代码演示如何查询和获取SQL数据,只需非常简单正确的配置你的账户信息.服务器地址及SQL语句就行: 复制代码 代码如下: $Database                       = 'Name_Of_SQLDatabase' $Server                         = '192.168.100.200' $UserName                         = 'DatabaseUs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmEJllp.html" rel="bookmark">ASP&period;NET2&period;0中将文件上传到SQL Server数据库代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server数据库代码   &lt;%@ Page Language=&quot;C#&quot; EnableViewState=&quot;true&quot; %&gt; &lt;%@ Import Namespace=&quot;System.Data.SqlClient&quot; %&gt; &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.or			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrlY4p.html" rel="bookmark">java连接sql server数据库代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  //链接数据库代码 import java.sql.*; public class Connect { static Connection conn; static Statement sql; static ResultSet res; static String driverName=&quot;com.microsoft.sqlserver.jdbc.SQLServerDriver&quot;; static String dbURL=&quot;jdbc:sqlserver://127.0.0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3EY0Ap.html" rel="bookmark">Windows和Linux系统下perl连接SQL Server数据库的方法&lowbar;perl</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将提供一些perl连接Microsoft SQL Server数据库的实例.perl脚本运行在Windows和Linux平台. Windows平台 如果在Windows平台下运行perl脚本,建议使用依赖DBI的两个模块包,提供标准的数据库接口模块. DBD::ODBC DBD::ADO 使用DBD::ODBC 如果选用DBD::ODBC,下面的实例代码将展示如何连接到SQL Server数据库: 复制代码 代码如下: use DBI;   # DBD::ODBC   my $dsn = '			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxGdQb.html" rel="bookmark">Windows 集成的身份验证连接SQL Server数据库，打造更安全的连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|window|安全|数据|数据库 摘要:今天用C#编写一个Windows 服务程序,其中要连接一个Windows 2003 Server上的SQL Server 2000 数据库,用SQL Server 身份验证.发现普通程序都能联上,但是Windows服务程序就是联不上. 后来查了资料,找到了解决方法.共享给大家. 三步解决: 1.  在服务器上创建一个用户,配置好SQL Server数据库访问权限. 2.  在客户端创建一个一样的用户. 3.  服务程序以刚创建的那个客户端用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAl32M.html" rel="bookmark">求大神帮下忙，小弟需要一个java连接sql server数据库实现查询功能的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求大神帮下忙,小弟需要一个java连接sql server数据库实现查询功能的代码 如题 求大神给个查询功能的代码 做毕业设计需要 帮帮忙 下面附上添加功能的代码 public int Add(Client c) { int count=0; try { con=this.getcon(); String sql=String.format(&quot;insert Client values('%s',%d,'%s','%s','%s','%s','%s',0,'%s')&quot;, c.g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ29oqz.html" rel="bookmark">sql server-mac下如何连接调用sql Server数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mac下如何连接调用sql Server数据库 刚刚更换了mac book,所有开发工具都从新适应,现在有个项目需要使用sql Server2005开发,可没有适合的查询sql Server的工具各位大神给小弟指点迷津啊,不胜感激. 解决方案 1.设置SQLSERVER服务器为SQL登录方式,并且系统安全性中的sa用户要设置登录功能为&quot;启用&quot;,还有必须要有密码. 2.需要在ODBC中进行数据源配置,数据源选&quot;SQL SERVER&quot;,登录方式使用&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zG45nb.html" rel="bookmark">ASP&period;NET2&period;0连接SQL Server数据库详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|server|数据|数据库|详解 本文将详细介绍如何使用Connection对象连接数据库.对 本文将详细介绍如何使用Connection对象连接数据库.对于不同的.NET数据提供者,ADO.NET采用不同的Connection对象连接数据库.这些Connection对象为我们屏蔽了具体的实现细节,并提供了一种统一的实现方法. Connection类有四种:SqlConnection,OleDbConnection,OdbcConnection和OracleConnection.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmDw3M.html" rel="bookmark" class="title">TOP N 和SET ROWCOUNT N 哪个更快？</a>
					<div>
						懒得翻译了,大意:在有合适的索引的时候,Top n和set rowcount n是一样快的.但是对于一个无序堆来说,top n更快.原理自己看英文去. Q. Is using the TOP N cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0967p.html" rel="bookmark" class="title">Oracle10G Physical Standby Database笔记</a>
					<div>
						oracle|笔记 试验环境primary server:  windows2000 server + oracle 10.0.1.0.2  ORACLE_SID:dgtest  ORACLE_HOM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMykmJz.html" rel="bookmark" class="title">用Fireworks快速调整人像照片色调</a>
					<div>
						说起照片处理大家就会想到Photoshop,其实Fireworks中也有很多工具可以帮助我们快速调整照片色调. 下面我们介绍详细的调整步骤. 在Fireworks中打开一张我们准备处理的图片: 新建一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlEeNp.html" rel="bookmark" class="title">如何设置屏幕分辨率、颜色位数、刷新率</a>
					<div>
						分辨率|刷新 '////////////////////////////////'//'//griefforyou收集整理'//'////////////////////////////////Pri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx4X2b.html" rel="bookmark" class="title">Excel复制格式</a>
					<div>
						复制一个单元格或单元格区域的格式是经常使用的操作之一.举例来说,我们已经建立并设置了一个工作表,如果在其它工作表的单元格也要使用相同的格式,就可以使用复制格式操作.操作步骤如下: (1) 选择含有要复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4qn8p.html" rel="bookmark" class="title">Windows 7开发：后台服务&lpar;动手实验&rpar;</a>
					<div>
						Windows 7 和 Windows Vista 在后台处理方面经过了很多改进.如今实现有效后台处理 的挑战包括: • 性能--启动延迟,登录延迟,关闭延迟:后台 处理干扰前台处理 • 耗电 • 安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRGX8z.html" rel="bookmark" class="title">wps文字怎样实现繁体转简体</a>
					<div>
						  在wps文字中实现繁体转简体的方法: 1.首先我们打开wps,将你要转换的繁体复制进来; 2.然后我们点击审阅==繁转简; 3.当然大家想要简体转繁体,操作方法其实是一样的,但是选择的按钮就是旁边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4vPAp.html" rel="bookmark" class="title">PHP-Fcgi下PHP的执行时间设置方法</a>
					<div>
						昨天,一个程序需要导出500条数据,结果发现到150条是,Nginx报出504 Gateway Timeout错误,原来PHP-Fcgi下的设置执行时间与isapi的不同   一般情况下设置PHP脚本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBlN5b.html" rel="bookmark" class="title">世界之窗浏览器优化性能详解</a>
					<div>
						  优化性能功能可以大幅降低后台新开标签的资源占用.让您在同时打开大量页面的情况下,仍然能流畅操作.若您经常同时打开大量网站,则可尝试优化性能的功能. 在 选项→高级→框架和增强 里,可开启此功能.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR6dBp.html" rel="bookmark" class="title">数据库-Oracle中重复率很高的字段创建B树索引，为什么性能可以得到大幅提升</a>
					<div>
						问题描述 Oracle中重复率很高的字段创建B树索引,为什么性能可以得到大幅提升 请教一个让我不解的问题: 我有一张表TT,数据大概是240W,其中的一个字段COL1的值只有'0'和'1'两个.现在有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72rr4p.html" rel="bookmark" class="title">【算法导论】二叉树的深度优先遍历</a>
					<div>
						二叉树的深度优先遍历 二叉树的遍历可以分为深度优先遍历和广度优先遍历.本篇介绍深度优先遍历,下一篇介绍广度优先遍历.         根据二叉树的递归定义可知,二叉树是由根结点(D).左子树(L)和右 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NRVDz.html" rel="bookmark" class="title">请问下这个字符串怎么用正则表达式表示？</a>
					<div>
						问题描述 #A||*||B||*||123456789||*||1313165464646464646464031||*||#C 解决方案 解决方案二:大哥些怎么没有人回答拉解决方案三:/^#A¦¦* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxV6Ob.html" rel="bookmark" class="title">c&num; 数据库 启动界面无-我做的课程设计，这里和数据库连接，代码显示没有错误，可是一启动界面是空白的，这是为什么？急急急</a>
					<div>
						问题描述 我做的课程设计,这里和数据库连接,代码显示没有错误,可是一启动界面是空白的,这是为什么?急急急 private void btnSure_Click(object sender, Event ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZajLM.html" rel="bookmark" class="title">关于autocad &period;net二次开发的初学者疑问</a>
					<div>
						问题描述 关于autocad .net二次开发的初学者疑问 一段在 使用ObjectIds 的代码,是在autocad.net开发手册上面摘抄的一段代码,但或许是还有什么namespace没有引用,编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Ondz.html" rel="bookmark" class="title">Swift学习之七：Optional value（可选值）</a>
					<div>
						当值可能不存在(may be absent)的时候使用Optionals. optional是说:There is a value, and it equals x.(我个人理解为:存在一个值,这个x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rx2wz.html" rel="bookmark" class="title">鲁滨逊般的孤岛求生 iOS《荒岛余生》试玩</a>
					<div>
						&lt;荒岛余生&gt;这部电影不知道你看过没有呢?有点和&lt;鲁滨逊漂流记&gt; 差不多,讲述都是在孤岛求生的故事,如果到了孤岛不知道我们能活多久?所以笔者向大家推荐这个游戏,来考验一下大家孤岛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZP4mz.html" rel="bookmark" class="title">打印json对象的内容及JSON&period;stringify函数应用&lowbar;json</a>
					<div>
						在调试的时候,经常需要知道json对象的内容,通过JSON.stringify函数,可以转换json对象为字符串. 复制代码 代码如下: $(document).ready(function() {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq3r8p.html" rel="bookmark" class="title">数据分析-tomcat下载400M文件，并发量是多少，怎么用Jmeter测试这个并发量，并生成直观图？</a>
					<div>
						问题描述 tomcat下载400M文件,并发量是多少,怎么用Jmeter测试这个并发量,并生成直观图? 我之前用Jmeter测试了,4G内存只能支持20多个线程并行下载,数量一多就报内存已满,我的电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwd70M.html" rel="bookmark" class="title">归档内存-服务器内存告警，发现是oracle 归档进程arch 占用超过10G（每个arch进程）</a>
					<div>
						问题描述 服务器内存告警,发现是oracle 归档进程arch 占用超过10G(每个arch进程) 服务器是aix: 如下归档进程占用的内存查询 arch1: Pid Command Inuse Pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ4kvp.html" rel="bookmark" class="title">猫扑产品总监：活动运营，不是为了做活动而做活动</a>
					<div>
						摘要: 上次有同行和我说他们的年度盛典活动有 600 万的预算,我当时煞是吃了一惊.我大概掐指一算,在猫扑的 7 年里,我拿到的市场预算加起来好像都没有 6000 块,除了猫扑做活动经常用 上次有同行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLr8LM.html" rel="bookmark" class="title">HQL优化查询使用exist</a>
					<div>
						问题描述 StringBuffer sb = new StringBuffer();sb.append(&quot;select distinct t.inquiryNum,t.contractNum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjZVZM.html" rel="bookmark" class="title">WiFi芯片核心技术三要素：系统、功耗、射频</a>
					<div>
						在物联网市场的持续刺激下,2015年国内应用于物联网的WiFi芯片迎来了第一次&quot;爆发式&quot;增长.据相关统计数据显示,2014年物联网WiFi芯片出货量情况并不乐观,仅有1000万颗左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwBdZM.html" rel="bookmark" class="title">《日志管理与分析权威指南》一2&period;4　小结</a>
					<div>
						2.4 小结 本章为读者介绍了日志文件.审计跟踪以及其他日志相关的一般概念. 虽然日志具有不同的格式和来源,但是可以通过观察它们的共同特征,抽象出它们的相似性. 日志真实包含的信息与我们期望它包含的信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5aARz.html" rel="bookmark" class="title">【大汇总】政策出台 打车应用市场红利花落谁家</a>
					<div>
						中云网每天精选各科技媒体头条! 1.腾讯科技 打车应用结束野蛮生长 资本将推动横向整合 http://tech.qq.com/a/20130703/004408.htm 7月1日,北京市交通委运输局出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmxj1z.html" rel="bookmark" class="title">浅谈Javascript数据属性与访问器属性&lowbar;javascript技巧</a>
					<div>
						ES5中对象的属性可以分为'数据属性'和'访问器属性'两种. 数据属性一般用于存储数据数值,访问器属性对应的是set/get操作,不能直接存储数据值. 数据属性特性:value.writable.en ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ153Kb.html" rel="bookmark" class="title">支付宝上线代扣费服务，针对第三方服务商</a>
					<div>
						4月8日消息,继聚石塔实行按照API调用次数收费后,支付宝于日前上线了一种针对第三方服务商的代扣费服务,也就是服务商在支付宝账户的余额,会在结算之日自动扣款. 目前,在服务商登陆的聚石塔API账单充值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZgEkb.html" rel="bookmark" class="title">三层架构中数据库访问的问题</a>
					<div>
						问题描述 这里主要是想问一个结构的问题.当然我测试链接成功以后,我关闭了数据库配置界面.内存里面其实是把我点击测试链接以后的数据给释放了.再返回到登录验证用户名这个环节的时候,无法执行一些SQL的查询 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeAK8p.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;分布式猜解&rdquo;攻击可六秒钟内搞定Visa卡的安全验证</a>
					<div>
						如果在电商网站输错多次某信用卡的有效期和CVV安全码,该网站将禁止使用该信用卡,以防止网络罪犯猜解信用卡.但是电商网站有很多,如果把这些网站同时利用起来猜解信用卡的凭证信息呢?结果是只需6秒钟,就可达 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YeEDp.html" rel="bookmark" class="title">Google暴露WTO&OpenCurlyDoubleQuote;模糊地带&rdquo;</a>
					<div>
						北京报道 李景 Google暴露WTO&quot;模糊地带&quot; 谷歌事件余波不断. 3月6日,全国人大代表.工信部副部长苗圩接受新华社记者采访时透露,Google公司从未告知工信部该公司计划撤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx26a0z.html" rel="bookmark" class="title">孩子上黄网是爹妈的错？</a>
					<div>
						孩子上黄网是爹妈的错? 谷歌高管: &quot;孩子上黄网, 全是爹妈的错&quot; 据英国&lt;每日邮报&gt;报道 谷歌高管纳奥米·古默声称,如果法律能够保护孩子不受色情网站的侵扰,那真是个& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
